#ifndef _DEFLANGS_H
#define _DEFLANGS_H

#define ADA_FILE     0x64
#define ASM_FILE     0x61
#define ASP_FILE     0x41
#define BASIC_FILE   0x62
#define BATCH_FILE   0x75
#define C_FILE       0x63
#define CG_FILE      0x67
#define CLIPS_FILE   0x6E
#define CPP_FILE     0x2B
#define CSHARP_FILE  0x23
#define EMF_FILE     0x4D
#define U4EA_FILE    0x45
#define FORTRAN_FILE 0x66
#define HASKELL_FILE 0x6B
#define HTML_FILE    0x68
#define JAVA_FILE    0x6A
#define JSCRIPT_FILE 0x78
#define MODULA_FILE  0x6D
#define OBJC_FILE    0x6F
#define PASCAL_FILE  0x6C
#define PERL_FILE    0x65
#define PHP_FILE     0x70
#define PB6_FILE     0x77
#define PYTHON_FILE  0x79
#define RENDER_FILE  0x52
#define RUBY_FILE    0x55
#define SHELL_FILE   0x73
#define SQL_FILE     0x71
#define TCL_FILE     0x72
#define TEXT_FILE    0x74
#define USCRIPT_FILE 0x54
#define VHDL_FILE    0x76

#include "langada.h"
#include "langasm.h"
#include "langasp.h"
#include "langbasic.h"
#include "langbatch.h"
#include "langc.h"
#include "langcg.h"
#include "langclips.h"
#include "langcpp.h"
#include "langcsharp.h"
#include "langemf.h"
#include "langeuphoria.h"
#include "langfortran.h"
#include "langhaskell.h"
#include "langhtml.h"
#include "langjava.h"
#include "langjscript.h"
#include "langmodula.h"
#include "langobjc.h"
#include "langpascal.h"
#include "langperl.h"
#include "langphp.h"
#include "langpbuilder.h"
#include "langpython.h"
#include "langrenderman.h"
#include "langruby.h"
#include "langshell.h"
#include "langsql.h"
#include "langtcl.h"
#include "langtext.h"
#include "languscript.h"
#include "langvhdl.h"

#endif //_DEFLANGS_H
